import ApiModel from "~/models/ApiModel";
import {Str, Uid, Attr} from "pinia-orm/dist/decorators";

/**
 * AP2i Model : Person
 *
 * @see https://gitlab.2iopenservice.com/opentalent/ap2i/-/blob/develop/src/Entity/Person/Person.php
 */
export default class Person extends ApiModel {
  static entity = 'people'

  @Uid()
  declare id: number | string | null

  @Attr(null)
  declare accessId: number | null

  @Str(null)
  declare username: string|null
}
